Query Corporate Actions
This endpoint provides stock corporate action information, including stock splits, reverse splits, and dividend distributions.
HTTP Request
bash
GET /market/v1/tickers/{symbol}/corporate-actionsRequest Parameters
| Name | Type | Required | Description |
|---|---|---|---|
symbol | STRING | YES | Stock symbol, e.g., AAPL |
market | STRING | YES | Market code, see market enum for supported values |
action_type | STRING | YES | Corporate action type, see corporate_action_type enum for supported values |
cURL Request Example
bash
curl --location --request GET '{$base_url}/market/v1/tickers/AAPL/corporate-actions?market=usex&action_type=dividend' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1746774142'Response Format
Dividend Response Fields
| Field Name | Type | Description |
|---|---|---|
symbol | STRING | Stock symbol |
market | STRING | Market code |
action_type | STRING | Corporate action type |
ex_dividend_date | LONG | Ex-dividend date (millisecond timestamp) |
dividend_date | LONG | Dividend payment date (millisecond timestamp) |
equity_registration_date | LONG | Record date (millisecond timestamp) |
distribution_plan | STRING | Distribution plan |
value | DECIMAL | Dividend amount per share |
Dividend Response Example
json
{
"code": 0,
"data": [
{
"symbol": "AAPL",
"market": "usex",
"action_type": "dividend",
"ex_dividend_date": 1762664400000,
"dividend_date": 1762923600000,
"equity_registration_date": 1762664400000,
"distribution_plan": "1 Share Dividend 0.25999999 USD",
"value": 0.25999999
},
{
"symbol": "AAPL",
"market": "usex",
"action_type": "dividend",
"ex_dividend_date": 1754798400000,
"dividend_date": 1755057600000,
"equity_registration_date": 1754798400000,
"distribution_plan": "1 Share Dividend 0.25999999 USD",
"value": 0.25999999
}
]
}Stock Split Response Fields
| Field Name | Type | Description |
|---|---|---|
symbol | STRING | Stock symbol |
market | STRING | Market code |
action_type | STRING | Corporate action type |
distribution_plan | STRING | Distribution plan |
value | DECIMAL | Split ratio |
date | LONG | Split effective date (millisecond timestamp) |
Stock Split Response Example
json
{
"code": 0,
"data": [
{
"symbol": "TSLA",
"market": "usex",
"action_type": "split",
"distribution_plan": "Code 3 For 1 Stock Split",
"value": 0.333332986,
"date": 1661313600000
}
]
}Error Response Example
json
{
"code": 500,
"message": "Internal Service Error",
"details": ""
}
